<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>mmWave External Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mmWave External Functions<div class="ingroups"><a class="el" href="group___m_m_w_a_v_e.html">mmWave API</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the exported API which the applications need to invoke in order to use the driver.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gab01615f3c8764a3e638a6d5261733e55"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab01615f3c8764a3e638a6d5261733e55">MMWave_decodeError</a> (int32_t errCode, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a> *errorLevel, int16_t *mmWaveError, int16_t *subSysError)</td></tr>
<tr class="separator:gab01615f3c8764a3e638a6d5261733e55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga11b05c9151ca387dc52dc6bec1a0d6e0"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga11b05c9151ca387dc52dc6bec1a0d6e0">MMWave_sync</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga11b05c9151ca387dc52dc6bec1a0d6e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa574a4299227f0e4a07469b8e69fc645"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa574a4299227f0e4a07469b8e69fc645">MMWave_execute</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:gaa574a4299227f0e4a07469b8e69fc645"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58b9f2692b9395a84c3649b29f90ba36"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga58b9f2692b9395a84c3649b29f90ba36">MMWave_config</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga58b9f2692b9395a84c3649b29f90ba36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae72b02f34545d64f7f142d8bf72addee"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae72b02f34545d64f7f142d8bf72addee">MMWave_start</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, const <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab74b8aa10d9d13ceb14ae43009c9b9f6">MMWave_CalibrationCfg</a> *ptrCalibrationCfg, int32_t *errCode)</td></tr>
<tr class="separator:gae72b02f34545d64f7f142d8bf72addee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga923b000ece4cf70386391d335f344791"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga923b000ece4cf70386391d335f344791">MMWave_stop</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga923b000ece4cf70386391d335f344791"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga47235438ff5f54a0190cac74b31d0db0"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga47235438ff5f54a0190cac74b31d0db0">MMWave_open</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, const <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7575571078974e8112d94034521df44a">MMWave_OpenCfg</a> *ptrOpenCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga47235438ff5f54a0190cac74b31d0db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga076f91a364384386963e3d5cbfffc959"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga076f91a364384386963e3d5cbfffc959">MMWave_close</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga076f91a364384386963e3d5cbfffc959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac59ad4bf4bd9044776dcbf7c000105a0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac59ad4bf4bd9044776dcbf7c000105a0">MMWave_init</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8668e22e2313c2a987bb28b5a81d29ef">MMWave_InitCfg</a> *ptrCtrlInitCfg, int32_t *errCode)</td></tr>
<tr class="separator:gac59ad4bf4bd9044776dcbf7c000105a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1c5f6a23fb51cfda717c6ea53ef6a4be"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1c5f6a23fb51cfda717c6ea53ef6a4be">MMWave_deinit</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga1c5f6a23fb51cfda717c6ea53ef6a4be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga32d94ddca794747761d60d031162d2ba"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga32d94ddca794747761d60d031162d2ba">MMWave_delChirp</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> profileHandle, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a> chirpHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga32d94ddca794747761d60d031162d2ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ac343747d4c0cf35626630870429b82"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8ac343747d4c0cf35626630870429b82">MMWave_addChirp</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> profileHandle, const rlChirpCfg_t *ptrChirpCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga8ac343747d4c0cf35626630870429b82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga98136076717061110623bc63a60ef1d5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga98136076717061110623bc63a60ef1d5">MMWave_getChirpCfg</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a> chirpHandle, rlChirpCfg_t *ptrChirpCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga98136076717061110623bc63a60ef1d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea244c5e23d2cd2eb816d51bdd44fe84"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaea244c5e23d2cd2eb816d51bdd44fe84">MMWave_getNumChirps</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> profileHandle, uint32_t *numChirps, int32_t *errCode)</td></tr>
<tr class="separator:gaea244c5e23d2cd2eb816d51bdd44fe84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae633f03c18588a9b00e70b3e021f3c6b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae633f03c18588a9b00e70b3e021f3c6b">MMWave_getChirpHandle</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> profileHandle, uint32_t chirpIndex, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a> *chirpHandle, int32_t *errCode)</td></tr>
<tr class="separator:gae633f03c18588a9b00e70b3e021f3c6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga324d9c1711b7c6fb27bb09e6872101dd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga324d9c1711b7c6fb27bb09e6872101dd">MMWave_addProfile</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, const rlProfileCfg_t *ptrProfileCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga324d9c1711b7c6fb27bb09e6872101dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga097395f4559237c70f90c1c9b97d674f"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga097395f4559237c70f90c1c9b97d674f">MMWave_delProfile</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> profileHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga097395f4559237c70f90c1c9b97d674f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae3e3ced4c6c45e2124b7b86f738d61b6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae3e3ced4c6c45e2124b7b86f738d61b6">MMWave_getNumProfiles</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, uint32_t *numProfiles, int32_t *errCode)</td></tr>
<tr class="separator:gae3e3ced4c6c45e2124b7b86f738d61b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga044cc1fa5c60346c2761f8b8f5f27a79"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga044cc1fa5c60346c2761f8b8f5f27a79">MMWave_getProfileHandle</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, uint8_t profileId, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> *profileHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga044cc1fa5c60346c2761f8b8f5f27a79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6ea06b981c4a3623e2cf7e44c3f9000"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae6ea06b981c4a3623e2cf7e44c3f9000">MMWave_getProfileCfg</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> profileHandle, rlProfileCfg_t *ptrProfileCfg, int32_t *errCode)</td></tr>
<tr class="separator:gae6ea06b981c4a3623e2cf7e44c3f9000"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa206fd67b80becbb9fff7b961e4aeb21"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa206fd67b80becbb9fff7b961e4aeb21">MMWave_addBpmChirp</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, const rlBpmChirpCfg_t *ptrBpmChirp, int32_t *errCode)</td></tr>
<tr class="separator:gaa206fd67b80becbb9fff7b961e4aeb21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff7dc80947e28b12f72a06f98e76535b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaff7dc80947e28b12f72a06f98e76535b">MMWave_delBpmChirp</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a> bpmChirpHandle, int32_t *errCode)</td></tr>
<tr class="separator:gaff7dc80947e28b12f72a06f98e76535b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga605467ea700a919e6c311e5bb2e2636e"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga605467ea700a919e6c311e5bb2e2636e">MMWave_getNumBpmChirp</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, uint32_t *numBpmChirp, int32_t *errCode)</td></tr>
<tr class="separator:ga605467ea700a919e6c311e5bb2e2636e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaacd4a0dc423aa90c419d5dfcfdb25838"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaacd4a0dc423aa90c419d5dfcfdb25838">MMWave_getBpmChirpHandle</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, uint32_t bpmChirpIndex, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a> *bpmChirpHandle, int32_t *errCode)</td></tr>
<tr class="separator:gaacd4a0dc423aa90c419d5dfcfdb25838"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaec68df5e19ccb0ae3f9a97f039fca4a5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaec68df5e19ccb0ae3f9a97f039fca4a5">MMWave_getBpmChirpCfg</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a> bpmChirpHandle, rlBpmChirpCfg_t *ptrBpmChirp, int32_t *errCode)</td></tr>
<tr class="separator:gaec68df5e19ccb0ae3f9a97f039fca4a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa384aeaf7d9598c104e7a6b0a663aa9b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa384aeaf7d9598c104e7a6b0a663aa9b">MMWave_flushCfg</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:gaa384aeaf7d9598c104e7a6b0a663aa9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the exported API which the applications need to invoke in order to use the driver. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gaa206fd67b80becbb9fff7b961e4aeb21"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a> MMWave_addBpmChirp </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const rlBpmChirpCfg_t *&#160;</td>
          <td class="paramname"><em>ptrBpmChirp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to add BPM configuration to one or more chirps.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrBpmChirp</td><td>Pointer to the BPM configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Handle to the BPM configuration </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga8ac343747d4c0cf35626630870429b82"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a> MMWave_addChirp </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a>&#160;</td>
          <td class="paramname"><em>profileHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const rlChirpCfg_t *&#160;</td>
          <td class="paramname"><em>ptrChirpCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to add the chirp to an existing profile.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">profileHandle</td><td>Handle to the profile to which the chirp is to be added </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrChirpCfg</td><td>Pointer to the chirp configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Handle to the chirp </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga324d9c1711b7c6fb27bb09e6872101dd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> MMWave_addProfile </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const rlProfileCfg_t *&#160;</td>
          <td class="paramname"><em>ptrProfileCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to add the profile with the specific profile configuration.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrProfileCfg</td><td>Pointer to the profile configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Handle to the profile </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga076f91a364384386963e3d5cbfffc959"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to close the mmWave module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave module </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="section pre"><dt>Precondition</dt><dd>MMWave_init </dd>
<dd>
MMWave_sync </dd>
<dd>
MMWave_open</dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga58b9f2692b9395a84c3649b29f90ba36"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_config </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *&#160;</td>
          <td class="paramname"><em>ptrControlCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is the exported API which is used to configure the mmWave. This is only applicable in the full configuration mode.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave control module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrControlCfg</td><td>Pointer to the control configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="section pre"><dt>Precondition</dt><dd>MMWave_init </dd>
<dd>
MMWave_sync </dd>
<dd>
MMWave_open</dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab01615f3c8764a3e638a6d5261733e55"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MMWave_decodeError </td>
          <td>(</td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>errCode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a> *&#160;</td>
          <td class="paramname"><em>errorLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int16_t *&#160;</td>
          <td class="paramname"><em>mmWaveError</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int16_t *&#160;</td>
          <td class="paramname"><em>subSysError</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Application can use the API to decode the error. The mmWave API can return errors because of either the mmWave or the underlying mmWave Link API.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">errCode</td><td>Encoded error code retreived from the mmWave API. This is the error code which will be decoded. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errorLevel</td><td>Error level populated by the API. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">mmWaveError</td><td>Error code from the mmWave module. This could be set to 0 to indicate that the mmWave module did not return an error. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">subSysError</td><td>Subsystem error code. This could be set to 0 to indicate that there was no error at the subsystem level.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1c5f6a23fb51cfda717c6ea53ef6a4be"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deinit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to deinitialize and shutdown the mmWave module</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave control module </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaff7dc80947e28b12f72a06f98e76535b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_delBpmChirp </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a>&#160;</td>
          <td class="paramname"><em>bpmChirpHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to delete the BPM cfg.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">bpmChirpHandle</td><td>Handle to the BPM cfg to be deleted </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga32d94ddca794747761d60d031162d2ba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_delChirp </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a>&#160;</td>
          <td class="paramname"><em>profileHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a>&#160;</td>
          <td class="paramname"><em>chirpHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to delete the chirp from an existing profile.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">profileHandle</td><td>Handle to the profile to which the chirp is to be deleted </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">chirpHandle</td><td>Handle to the chirp to be deleted </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga097395f4559237c70f90c1c9b97d674f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_delProfile </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a>&#160;</td>
          <td class="paramname"><em>profileHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to delete the profile. This will also delete all the chirps which are still attached to the profile.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">profileHandle</td><td>Handle to the profile to be deleted </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa574a4299227f0e4a07469b8e69fc645"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_execute </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to execute the mmWave control module and this should only be called in the context of an executing task The function blocks and process mmWave link messages.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave control module </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa384aeaf7d9598c104e7a6b0a663aa9b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_flushCfg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to flush &amp; clean up the configuration which is stored in the mmWave module. Due to memory constraints applications could use this API to reduce the amount of memory which is being used.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave module </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaec68df5e19ccb0ae3f9a97f039fca4a5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_getBpmChirpCfg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a>&#160;</td>
          <td class="paramname"><em>bpmChirpHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlBpmChirpCfg_t *&#160;</td>
          <td class="paramname"><em>ptrBpmChirp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to get the BPM configuration given the BPM cfg handle</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">bpmChirpHandle</td><td>Handle to the BPM configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrBpmChirp</td><td>Pointer to the BPM configuration populated by the API </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaacd4a0dc423aa90c419d5dfcfdb25838"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_getBpmChirpHandle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>bpmChirpIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a> *&#160;</td>
          <td class="paramname"><em>bpmChirpHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function can be used by the application to get the BPM cfg handle at the specified index. If the index exceeds the number of BPM configurations the function will fail with the error code.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">bpmChirpIndex</td><td>BPM cfg index for which the handle is needed. Set to 1 to get the first BPM configuration index, etc </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">bpmChirpHandle</td><td>Populated BPM Cfg handle </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga98136076717061110623bc63a60ef1d5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_getChirpCfg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a>&#160;</td>
          <td class="paramname"><em>chirpHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlChirpCfg_t *&#160;</td>
          <td class="paramname"><em>ptrChirpCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to get the chirp configuration given the chirp handle</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">chirpHandle</td><td>Handle to the chirp </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrChirpCfg</td><td>Pointer to the chirp configuration populated by the API </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae633f03c18588a9b00e70b3e021f3c6b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_getChirpHandle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a>&#160;</td>
          <td class="paramname"><em>profileHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>chirpIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a> *&#160;</td>
          <td class="paramname"><em>chirpHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function can be used by the application to get the chirp handle at the specified index. If the index exceeds the number of chirps configured the function will fail with the error code.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">profileHandle</td><td>Handle to the profile </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">chirpIndex</td><td>Chirp Index for which the handle is needed. Set to 1 to get the first chirp index etc </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">chirpHandle</td><td>Populated chirp handle </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga605467ea700a919e6c311e5bb2e2636e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_getNumBpmChirp </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>numBpmChirp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to get the number of BPM configurations that have been added.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave module </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">numBpmChirp</td><td>Number of added BPM configurations populated by the API </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaea244c5e23d2cd2eb816d51bdd44fe84"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_getNumChirps </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a>&#160;</td>
          <td class="paramname"><em>profileHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>numChirps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to get the number of chirps attached to a profile</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">profileHandle</td><td>Handle to the profile </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">numChirps</td><td>Number of chirps attached to a profile </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae3e3ced4c6c45e2124b7b86f738d61b6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_getNumProfiles </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>numProfiles</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to get the number of profiles which have been added.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave module </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">numProfiles</td><td>Number of added profiles populated by the API </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae6ea06b981c4a3623e2cf7e44c3f9000"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_getProfileCfg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a>&#160;</td>
          <td class="paramname"><em>profileHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlProfileCfg_t *&#160;</td>
          <td class="paramname"><em>ptrProfileCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to get the chirp configuration given the chirp handle</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">profileHandle</td><td>Handle to the profile </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrProfileCfg</td><td>Pointer to the profile configuration populated by the API </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga044cc1fa5c60346c2761f8b8f5f27a79"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_getProfileHandle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>profileId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> *&#160;</td>
          <td class="paramname"><em>profileHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to get the profile handle for the specific profile identifier.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">profileId</td><td>Profile Id </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">profileHandle</td><td>Handle to the profile populated by the API </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac59ad4bf4bd9044776dcbf7c000105a0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> MMWave_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8668e22e2313c2a987bb28b5a81d29ef">MMWave_InitCfg</a> *&#160;</td>
          <td class="paramname"><em>ptrCtrlInitCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to initialize the mmWave control module. This needs to be invoked before any other control API is invoked.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrCtrlInitCfg</td><td>Pointer to the control init configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Handle to the control module </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga47235438ff5f54a0190cac74b31d0db0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7575571078974e8112d94034521df44a">MMWave_OpenCfg</a> *&#160;</td>
          <td class="paramname"><em>ptrOpenCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to open the mmWave module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrOpenCfg</td><td>Pointer to the open configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="section pre"><dt>Precondition</dt><dd>MMWave_init </dd>
<dd>
MMWave_sync</dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae72b02f34545d64f7f142d8bf72addee"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_start </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab74b8aa10d9d13ceb14ae43009c9b9f6">MMWave_CalibrationCfg</a> *&#160;</td>
          <td class="paramname"><em>ptrCalibrationCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to start the mmWave control module after the configuration has been applied.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave control module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrCalibrationCfg</td><td>Pointer to the calibration configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="section pre"><dt>Precondition</dt><dd>MMWave_init </dd>
<dd>
MMWave_sync </dd>
<dd>
MMWave_open </dd>
<dd>
MMWave_config (Only in full configuration mode)</dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga923b000ece4cf70386391d335f344791"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_stop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to stop the mmWave control module after the configuration has been applied.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave control module </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="section pre"><dt>Precondition</dt><dd>MMWave_start</dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga11b05c9151ca387dc52dc6bec1a0d6e0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_sync </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td>
          <td class="paramname"><em>mmWaveHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to synchronize the execution of the control module between the execution domains. Applications are recommended to invoke the function until the "sync" is acheived. Failure to do so will result in the mmWave module misbehaving.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveHandle</td><td>Handle to the mmWave control module </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Encoded Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Synchronized</td><td>- 1 </td></tr>
    <tr><td class="paramname">Unsynchronized</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
